// packageH/reserveFunds/getlist/getlist.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    page:1,
    info:[]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getdata();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if(this.data.current_page >= this.data.last_page){
      return;
    }else{
      let pages = this.data.page + 1;
      this.setData({
        page : pages
      });
      this.getMore();
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  getdata() {
    let that = this;
    let urlStr = app.getNetAddresss(
      "plugin.reserve-fund.api.receive-log.index"
    );
    app._getNetWork({
      url: urlStr,
      data:{
        page:that.data.page
      },
      success: function (resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          that.setData({
            info : res.data.getReceive.list.data,
            current_page : res.data.getReceive.list.current_page,
            last_page : res.data.getReceive.list.last_page
          });
        } else {
          wx.showToast({
            icon: "none",
            title: res.msg,
            duration: 1500,
          });
        }
      },
      fail: function (res) {
        console.log(res);
      },
    });
  },
  getMore(){
    wx.showLoading({
      title: '加载中',
    });
    let that = this;
    let urlStr = app.getNetAddresss(
      "plugin.reserve-fund.api.receive-log.index"
    );
    app._getNetWork({
      url: urlStr,
      data:{
        page:that.data.page
      },
      success: function (resdata) {
        var res = resdata.data;
        wx.hideLoading({
          success: (res) => {},
          fail: (res) => {},
          complete: (res) => {},
        });
        if (res.result == 1) {
          that.setData({
            info : that.data.info.concat(res.data.getReceive.list.data),
            current_page : res.data.getReceive.list.current_page,
            last_page : res.data.getReceive.list.last_page
          });
        } else {
          wx.showToast({
            icon: "none",
            title: res.msg,
            duration: 1500,
          });
        }
      },
      fail: function (res) {
        console.log(res);
      },
    });
  }
});